## gst-plugins-ugly1.0 1.22.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.0-2+deb12u1) bookworm-security; urgency=medium

  * SA-2023-0004 / SA-2023-0005

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 11 Aug 2023 22:50:54 +0200

gst-plugins-ugly1.0 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Bump minimum gstreamer, glib, and meson
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 18:36:52 -0500

gst-plugins-ugly1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Set -Dauto_features=enabled
  * Set Rules-Requires-Root: no
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 11:42:00 -0500

=== debian/control ===
Source: gst-plugins-ugly1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.62),
               pkg-config (>= 0.11.0),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.62),
               libgstreamer1.0-dev (>= 1.22.0),
               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
               gstreamer1.0-plugins-base (>= 1.22.0),
               gstreamer1.0-plugins-good (>= 1.22.0),
               liba52-0.7.4-dev,
               libcdio-dev (>= 0.76),
               libdvdread-dev (>= 0.9.0),
               libmpeg2-4-dev (>= 0.5.1),
               libopencore-amrnb-dev (>= 0.1.3),
               libopencore-amrwb-dev (>= 0.1.3),
               liborc-0.4-dev (>= 1:0.4.17),
               libsidplay1-dev,
               libtool (>= 2.2.6),
               libx264-dev (>= 2:0.120)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-ugly
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Replaces: gstreamer1.0-plugins-bad (<< 1.7.2),
          gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
Breaks: gstreamer1.0-plugins-bad (<< 1.7.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides},
          gstreamer1.0-plugins-ugly-amr
Description: GStreamer plugins from the "ugly" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains plugins from the "ugly" set, a set of
 good-quality plug-ins that might pose distribution problems.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Ugly Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-ugly1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-ugly1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Ugly Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-ugly1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled -Dgpl=enabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

execute_after_dh_install:
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-ugly1.0 1.22.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 18:37:06 -0400

## gst-plugins-ugly1.0 1.22.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:43:45 -0400

gst-plugins-ugly1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 07:55:24 -0400

## gst-plugins-ugly1.0 1.22.4

=== meson_options.txt ===
option('x264_libraries', type : 'string', value : '',
       description : 'Colon separated list of additional x264 library paths, e.g. for 10-bit version')

# Feature options for plugins without external deps
option('asfdemux', type : 'feature', value : 'auto')
option('dvdlpcmdec', type : 'feature', value : 'auto')
option('dvdsub', type : 'feature', value : 'auto')
option('realmedia', type : 'feature', value : 'auto')

# Feature options for plugins that need external deps
option('a52dec', type : 'feature', value : 'auto', description : 'Dolby Digital (AC-3) audio decoder plugin based on liba52 (GPL - only built if gpl option is also enabled!)')
option('amrnb', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Narrow-Band audio codec plugin')
option('amrwbdec', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Wide-Band audio decoder plugin')
option('cdio', type : 'feature', value : 'auto', description : 'CD audio source plugin based on libcdio (GPL - only built if gpl option is also enabled!)')
option('dvdread', type : 'feature', value : 'auto', description : 'DVD video source plugin based on libdvdread (GPL - only built if gpl option is also enabled!)')
option('mpeg2dec', type : 'feature', value : 'auto', description : 'MPEG 2 video decoder plugin based on libmpeg2 (GPL - only built if gpl option is also enabled!)')
option('sidplay', type : 'feature', value : 'auto', description : 'Commodore 64 audio decoder plugin based on libsidplay (GPL - only built if gpl option is also enabled!)')
option('x264', type : 'feature', value : 'auto', description : 'H.264 video encoder plugin based on libx264 (GPL - only built if gpl option is also enabled!)')

# License-related feature options
option('gpl', type: 'feature', value: 'disabled', yield: true,
  description: 'Allow build plugins that have GPL-licensed dependencies')

# Common feature options
option('nls', type : 'feature', value : 'auto', yield: true,
       description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield: true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Drop ancient Conflicts/Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 11:43:20 -0400

## gst-plugins-ugly1.0 1.22.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 10:46:22 -0400

## gst-plugins-ugly1.0 1.22.6

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 14:50:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
 
@@ -9,10 +11,6 @@
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
-
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"

## gst-plugins-ugly1.0 1.22.7

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.7

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Nov 2023 14:08:32 +0100

## gst-plugins-ugly1.0 1.22.8

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 16:55:44 +0100

=== debian/control ===
--- 
+++ 
@@ -35,10 +35,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
-Replaces: gstreamer1.0-plugins-bad (<< 1.7.2),
-          gstreamer1.0-plugins-ugly-amr (<< 1.11.91)
-Breaks: gstreamer1.0-plugins-bad (<< 1.7.2)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

## gst-plugins-ugly1.0 1.22.10

=== debian/changelog ===
gst-plugins-ugly1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 13:32:30 +0100

gst-plugins-ugly1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 16:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
                meson (>= 0.62),
-               pkg-config (>= 0.11.0),
+               pkgconf (>= 0.11.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-ugly/ gst-plugins-ugly-(1\.22\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-ugly1.0 1.24.1

=== meson_options.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 # Feature options for plugins that need external deps
 option('a52dec', type : 'feature', value : 'auto', description : 'Dolby Digital (AC-3) audio decoder plugin based on liba52 (GPL - only built if gpl option is also enabled!)')
-option('amrnb', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Narrow-Band audio codec plugin')
-option('amrwbdec', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Wide-Band audio decoder plugin')
 option('cdio', type : 'feature', value : 'auto', description : 'CD audio source plugin based on libcdio (GPL - only built if gpl option is also enabled!)')
 option('dvdread', type : 'feature', value : 'auto', description : 'DVD video source plugin based on libdvdread (GPL - only built if gpl option is also enabled!)')
 option('mpeg2dec', type : 'feature', value : 'auto', description : 'MPEG 2 video decoder plugin based on libmpeg2 (GPL - only built if gpl option is also enabled!)')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:55:07 +0000

gst-plugins-ugly1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 11:00:59 +0100

gst-plugins-ugly1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/control: bump gstreamer dependencies to 1.24.0
  * d/control: amr plugins moved to good

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 15:24:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,16 +12,14 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               gstreamer1.0-plugins-base (>= 1.22.0),
-               gstreamer1.0-plugins-good (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),
                libmpeg2-4-dev (>= 0.5.1),
-               libopencore-amrnb-dev (>= 0.1.3),
-               libopencore-amrwb-dev (>= 0.1.3),
                liborc-0.4-dev (>= 1:0.4.17),
                libsidplay1-dev,
                libtool (>= 2.2.6),
@@ -42,8 +41,7 @@
 XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
 XB-GStreamer-Encoders: ${gstreamer:Encoders}
 XB-GStreamer-Decoders: ${gstreamer:Decoders}
-Provides: ${gstreamer:Provides},
-          gstreamer1.0-plugins-ugly-amr
+Provides: ${gstreamer:Provides}
 Description: GStreamer plugins from the "ugly" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-plugins-ugly1.0 1.24.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:22:53 +0200

gst-plugins-ugly1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 10:12:56 +0200

## gst-plugins-ugly1.0 1.24.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:18:24 +0200

## gst-plugins-ugly1.0 1.24.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:27:06 +0200

## gst-plugins-ugly1.0 1.24.6

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 18:59:47 +0200

## gst-plugins-ugly1.0 1.24.7

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:31:05 +0200

## gst-plugins-ugly1.0 1.24.8

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:36:20 +0200

## gst-plugins-ugly1.0 1.24.9

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 09:22:06 +0100

## gst-plugins-ugly1.0 1.24.10

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 10:44:00 +0100

## gst-plugins-ugly1.0 1.24.11

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:14:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-ugly1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),

## gst-plugins-ugly1.0 1.24.12

=== debian/changelog ===
gst-plugins-ugly1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:22:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,15 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 export QT_SELECT=5
 
-# debian package version
-version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
-gst_version=$(shell echo $(version) | cut -d '-' -f 1)
+gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-ugly/ gst-plugins-ugly-(1\.24\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-ugly1.0 1.25.90

=== debian/changelog ===
gst-plugins-ugly1.0 (1.25.90-1) experimental; urgency=medium

  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 16:13:45 +0100

gst-plugins-ugly1.0 (1.25.50-2) experimental; urgency=medium

  * d/control: remove Build-Dep on good plugins
  * d/control: update 1.25.1 dependencies to 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 11:33:34 +0100

gst-plugins-ugly1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 13:41:03 +0100

gst-plugins-ugly1.0 (1.25.1-1) experimental; urgency=medium

  * d/gbp.conf: adjust for experimental
  * New upstream version 1.25.1
  * d/control: bump GStreamer version dependency

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Jan 2025 15:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-               gstreamer1.0-plugins-base (>= 1.24.0),
-               gstreamer1.0-plugins-good (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
+               gstreamer1.0-plugins-base (>= 1.25.90),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.26.0

=== meson_options.txt ===
--- 
+++ 
@@ -24,12 +24,6 @@
        description : 'Enable native language support (translations)')
 option('orc', type : 'feature', value : 'auto', yield : true)
 option('tests', type : 'feature', value : 'auto', yield : true)
-option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
-       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
-option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
-       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
-option('glib-checks', type : 'feature', value : 'enabled', yield : true,
-       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')
 
 # Common options
 option('package-name', type : 'string', yield : true,
@@ -38,3 +32,21 @@
        description : 'package origin URL to use in plugins')
 option('doc', type : 'feature', value : 'auto', yield: true,
        description: 'Enable documentation.')
+option('glib_debug', type : 'feature', value : 'auto', yield : true, description : 'Enable GLib debug infrastructure (see docs/macros.txt)')
+option('glib_assert', type : 'boolean', value : true, yield : true, description : 'Enable GLib assertion (see docs/macros.txt)',
+  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
+)
+option('glib_checks', type : 'boolean', value : true, yield : true, description : 'Enable GLib checks such as API guards (see docs/macros.txt)',
+  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
+)
+
+# Deprecated, kept for backward compat
+option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
+       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)',
+       deprecated: 'glib_debug')
+option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
+       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)',
+       deprecated: 'glib_assert')
+option('glib-checks', type : 'feature', value : 'enabled', yield : true,
+       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)',
+       deprecated: 'glib_checks')

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer version dependency
  * d/control: remove Build-Dep on good plugins
  * d/control: update 1.25.1 dependencies to 1.25.50
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 11:08:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
-               gstreamer1.0-plugins-base (>= 1.25.90),
+               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+               gstreamer1.0-plugins-base (>= 1.26.0),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.26.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 09:57:15 +0200

## gst-plugins-ugly1.0 1.26.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:29:06 +0200

## gst-plugins-ugly1.0 1.26.3

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.3-4) unstable; urgency=medium

  * Team upload
  * Don't ignore build test failures. Previously they were ignored on
    architectures other than amd64 & arm64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Jun 2025 08:08:38 -0400

gst-plugins-ugly1.0 (1.26.3-3) unstable; urgency=medium

  * Team upload
  * Revert debian/copyright updates as requested by Debian Release Team
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Jun 2025 16:26:51 -0400

gst-plugins-ugly1.0 (1.26.3-2) experimental; urgency=medium

  * New upstream version 1.26.3
  * d/copyright: add DEP-5 compatible license headers
  * upload to experimental after accidental unstable upload

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 12:51:53 +0200

## gst-plugins-ugly1.0 1.26.4

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.4-1) experimental; urgency=medium

  * d/control: bump Standards-Version
  * d/copyright: add DEP-5 compatible license headers
  * d/copyright: superfluous-file-pattern
  * d/copyright: unused-license-paragraph-in-dep5-copyright
  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 20:06:32 +0200

## gst-plugins-ugly1.0 1.26.5

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.5-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:37:37 +0200

gst-plugins-ugly1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:16:22 +0200

## gst-plugins-ugly1.0 1.26.6

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 11:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libx264-dev (>= 2:0.120)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/

## gst-plugins-ugly1.0 1.26.7

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.7-1) unstable; urgency=medium

  [ dingchenguang ]
  * Update the version number of Build-Depends:meson

  [ Marc Leeman ]
  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 10:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.62),
+               meson (>= 1.4),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-ugly/ gst-plugins-ugly-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-ugly1.0 1.26.8

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: correct meson version to release version
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 11:04:40 +0100

## gst-plugins-ugly1.0 1.26.9

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 10:05:14 +0100

## gst-plugins-ugly1.0 1.26.10

=== debian/changelog ===
gst-plugins-ugly1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 20:06:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 1.4),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,

## gst-plugins-ugly1.0 1.27.2

=== debian/changelog ===
gst-plugins-ugly1.0 (1.27.2-1) experimental; urgency=medium

  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 12:46:13 +0200

gst-plugins-ugly1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 14:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

=== debian/rules ===
--- 
+++ 
@@ -39,13 +39,8 @@
 execute_before_dh_auto_clean:
 	rm -rf $(CURDIR)/fake-home
 
-# Only make the tests fail for key architectures
 override_dh_auto_test:
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
 	xvfb-run dh_auto_test
-else
-	xvfb-run dh_auto_test || true
-endif
 
 execute_after_dh_install:
 	mkdir -p $(CURDIR)/fake-home

## gst-plugins-ugly1.0 1.27.50

=== debian/changelog ===
gst-plugins-ugly1.0 (1.27.50-2) experimental; urgency=medium

  * d/control: update dependencies to >= 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:51:19 +0100

gst-plugins-ugly1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               gstreamer1.0-plugins-base (>= 1.27.2),
+               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+               gstreamer1.0-plugins-base (>= 1.27.50),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.27.90

=== debian/changelog ===
gst-plugins-ugly1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 07 Jan 2026 18:21:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.50),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-               gstreamer1.0-plugins-base (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               gstreamer1.0-plugins-base (>= 1.27.90),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.28.0

=== debian/changelog ===
gst-plugins-ugly1.0 (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 14:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-               gstreamer1.0-plugins-base (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+               gstreamer1.0-plugins-base (>= 1.28.0),
                liba52-0.7.4-dev,
                libcdio-dev (>= 0.76),
                libdvdread-dev (>= 0.9.0),

## gst-plugins-ugly1.0 1.28.1

=== debian/changelog ===
gst-plugins-ugly1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 13:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-plugins-ugly1.0
 Section: libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-ugly1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -22,7 +21,7 @@
                libsidplay1-dev,
                libtool (>= 2.2.6),
                libx264-dev (>= 2:0.120)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-ugly1.0/
